Bug 1379786 - Review Request: python-vitrageclient - Python bindings to the Vitrage API
Summary: Review Request: python-vitrageclient - Python bindings to the Vitrage API
Keywords:
Status: CLOSED DUPLICATE of bug 1391892
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: Mitaka
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Matthias Runge
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-27 16:24 UTC by Marcos
Modified: 2016-11-04 10:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 10:44:50 UTC
mrunge: rdo-review?


Attachments (Terms of Use)

Description Marcos 2016-09-27 16:24:56 UTC
Spec URL: https://github.com/marcosflobo/package_review/blob/master/python-vitrageclient/1.0.1/python-vitrageclient.spec
SRPM URL: https://github.com/marcosflobo/package_review/raw/master/python-vitrageclient/1.0.1/python-vitrageclient-1.0.1-1.fc24.src.rpm
Description: Python client for Vitrage REST API. Includes python library for Vitrage API and Command Line Interface (CLI) library.
Fedora Account System Username: mflobo

Successful scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=15828935

Comment 2 Matthias Runge 2016-10-31 09:56:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 24 files have unknown
     license. Detailed output of licensecheck in /home/mrunge/1379786
     -python-vitrageclient/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://pypi.python.org/packages/source/v/python-vitrageclient/python-
     vitrageclient-1.0.1.tar.gz
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-vitrageclient , python3-vitrageclient , python-vitrageclient-
     doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.3.2 starting (python version = 3.5.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.3.2
INFO: Mock Version: 1.3.2
Finish: chroot init
INFO: installing package(s): /home/mrunge/1379786-python-vitrageclient/results/python-vitrageclient-doc-1.0.1-1.fc25.noarch.rpm /home/mrunge/1379786-python-vitrageclient/results/python2-vitrageclient-1.0.1-1.fc25.noarch.rpm /home/mrunge/1379786-python-vitrageclient/results/python3-vitrageclient-1.0.1-1.fc25.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-25-armhfp/root/ --releasever 25 --disableplugin=local --setopt=deltarpm=false install /home/mrunge/1379786-python-vitrageclient/results/python-vitrageclient-doc-1.0.1-1.fc25.noarch.rpm /home/mrunge/1379786-python-vitrageclient/results/python2-vitrageclient-1.0.1-1.fc25.noarch.rpm /home/mrunge/1379786-python-vitrageclient/results/python3-vitrageclient-1.0.1-1.fc25.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: python2-vitrageclient-1.0.1-1.fc25.noarch.rpm
          python3-vitrageclient-1.0.1-1.fc25.noarch.rpm
          python-vitrageclient-doc-1.0.1-1.fc25.noarch.rpm
          python-vitrageclient-1.0.1-1.fc25.src.rpm
python2-vitrageclient.noarch: W: no-manual-page-for-binary vitrage
python3-vitrageclient.noarch: W: no-manual-page-for-binary vitrage
python-vitrageclient-doc.noarch: W: file-not-utf8 /usr/share/doc/python-vitrageclient-doc/html/objects.inv
python-vitrageclient.src: W: invalid-url Source0: http://pypi.python.org/packages/source/v/python-vitrageclient/python-vitrageclient-1.0.1.tar.gz HTTP Error 404: Not Found
4 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
python3-vitrageclient (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python3-babel
    python3-cliff
    python3-keystoneauth1
    python3-oslo-utils
    python3-pbr

python-vitrageclient-doc (rpmlib, GLIBC filtered):

python2-vitrageclient (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python(abi)
    python-pbr
    python2-babel
    python2-cliff
    python2-keystoneauth1
    python2-oslo-utils



Provides
--------
python3-vitrageclient:
    python3-vitrageclient
    python3.5dist(python-vitrageclient)
    python3dist(python-vitrageclient)

python-vitrageclient-doc:
    python-vitrageclient-doc

python2-vitrageclient:
    python-vitrageclient
    python2-vitrageclient
    python2.7dist(python-vitrageclient)
    python2dist(python-vitrageclient)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1379786
Buildroot used: fedora-25-armhfp
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6




Source0 should become something like
Source0: http://files.pythonhosted.org/packages/source/v/python-vitrageclient/python-vitrageclient-1.0.1.tar.gz

or in RDO case: http://tarballs.openstack.org/python-vitrageclient/python-vitrageclient-1.0.1.tar.gz


Upstream provides tests, and I strongly suggest to enable tests during package build. That's not a blocker, but in general a good idea

Comment 3 Matthias Runge 2016-11-02 08:47:34 UTC
Any intend to continue from here, Marcos?

Comment 4 Matthias Runge 2016-11-03 13:31:45 UTC
for reference, I had to change the spec a bit:
SPEC: https://raw.githubusercontent.com/mrunge/python-vitrageclient/master/python-vitrageclient.spec

Comment 5 Matthias Runge 2016-11-04 10:44:50 UTC
since this is somehow pressing me, I opened a new bug. Marcos, I'd happily accept you as co-maintainer, or wouldn't mind to be your co-maintainer.

https://bugzilla.redhat.com/show_bug.cgi?id=1391892

*** This bug has been marked as a duplicate of bug 1391892 ***


Note You need to log in before you can comment on or make changes to this bug.